viSetGetSettingsXml = {};

function viSetGetSettingsXml:reloadConfig() --Gui Menue Callback
	createFolder(getUserProfileAppPath().. "modSettings/");
	createFolder(VehicleInspector.settingsDir);
	local file = VehicleInspector.settingsDir.. "vehicleInspectorSettings.xml";	
	if fileExists(file) then
		local Xml = loadXMLFile("VehicleInspector_XML", file, "vehicleInspectorSettings");
		viSetGetSettingsXml:loadSearchInvertConfig(Xml);
		--txt--
		viSetGetSettingsXml:loadTxtConfig(Xml);
		--txt--
		--showColor--
		viSetGetSettingsXml:loadShowColorConfig(Xml);
		--showColor--
	end;
end;

function viSetGetSettingsXml:loadConfig()
	createFolder(getUserProfileAppPath().. "modSettings/");
	createFolder(VehicleInspector.settingsDir);
	local file = VehicleInspector.settingsDir.. "vehicleInspectorSettings.xml";
	local oldXml = false;
	if not fileExists(file) then
		viSetGetSettingsXml:saveConfig();
	else
		local Xml = loadXMLFile("VehicleInspector_XML", file, "vehicleInspectorSettings");
		local groupNameTag = ("vehicleInspectorSettings.simple.version(%d)"):format(0);
		if getXMLString(Xml, groupNameTag.. "#xmlVersion") then viSetGetSettingsXml:saveConfig();viSetGetSettingsXml:cloneColor();return;end;
		groupNameTag = ("vehicleInspectorSettings.global(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#isOn") ~= nil then VehicleInspector.global.isOn = getXMLBool(Xml, groupNameTag.. "#isOn");end;
		--if getXMLBool(Xml, groupNameTag.. "#hlDebugMode") ~= nil then VehicleInspector.hlDebugMode = getXMLBool(Xml, groupNameTag.. "#hlDebugMode");end;
		viSetGetSettingsXml:loadSearchInvertConfig(Xml);
		groupNameTag = ("vehicleInspectorSettings.global.otherValues.attachedLimit(%d)"):format(0);
		if getXMLInt(Xml, groupNameTag.. "#int") ~= nil then VehicleInspector.global.attachedLimit = getXMLInt(Xml, groupNameTag.. "#int");end;		
		groupNameTag = ("vehicleInspectorSettings.global.otherValues.autoMouseOffJoinVehicle(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.global.autoMouseOffJoinVehicle = getXMLBool(Xml, groupNameTag.. "#boolean");end;		
		groupNameTag = ("vehicleInspectorSettings.global.otherValues.viewBackground(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.global.seeBackground = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.global.otherValues.backgroundTransparents(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#float") then VehicleInspector.global.backgroundT = getXMLFloat(Xml, groupNameTag.. "#float");end;		
		groupNameTag = ("vehicleInspectorSettings.global.otherValues.viewPlayerOnTop(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.global.seePlayerOnTop = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.global.otherValues.viewHelperOnTop(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.global.seeHelperOnTop = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		--showDraw--
		--groupNameTag = ("vehicleInspectorSettings.global.showVI.onlyOverMultiOverlayHud(%d)"):format(0);
		--if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.global.onlyMoh = getXMLBool(Xml, groupNameTag.. "#boolean");end;		
		groupNameTag = ("vehicleInspectorSettings.global.showVI.helpMenuOn_F1(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.showDraw.helpMenuOn = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.global.showVI.helpMenuOff_F1(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.showDraw.helpMenuOff = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.global.showVI.inGameMapOn(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.showDraw.inGameMapOn = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.global.showVI.inGameMapOff(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.showDraw.inGameMapOff = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		--showDraw--
		--seeWarning--
		groupNameTag = ("vehicleInspectorSettings.viewWarning.isBlocking(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeWarning.isBlocking = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewWarning.isWater(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeWarning.isWater = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewWarning.isDamage(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeWarning.isDamage = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewWarning.isFuelEmpty(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeWarning.isFuelEmpty = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		--seeWarning--
		--seeVehicle--
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.onlyControlled(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.onlyControlled = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.notFillLevel(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.notFillLevel = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.notAttached(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.notAttached = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isTrain(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isTrain = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isHelper(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isHelper = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isPlayer(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isPlayer = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isHorsePlayer(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isHorsePlayer = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isLeasing(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isLeasing = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isParking(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isParking = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewVehicle.isOwnFarmVehicle(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeVehicle.isOwnFarmVehicle = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		--seeVehicle--
		--seeTxt--
		groupNameTag = ("vehicleInspectorSettings.viewText.playerName(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.playerName = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.helperName(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.helperName = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.speed(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.speed = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.field(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.field = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.fieldNumber(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.fieldNumber = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.fieldNumberMP(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.global.seeFieldNumberMP = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.fillProzent(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.fillProzent = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.fillLevel(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.fillLevel = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.jobType(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.jobType = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.leasing(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.leasing = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.parking(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.parking = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.totalAttached(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.totalAttached = getXMLBool(Xml, groupNameTag.. "#boolean");end;		
		groupNameTag = ("vehicleInspectorSettings.viewText.vehicleName(%d)"):format(0);
		if getXMLInt(Xml, groupNameTag.. "#int") then VehicleInspector.seeTxt.vehicleName = getXMLInt(Xml, groupNameTag.. "#int");end;
		if VehicleInspector.seeTxt.vehicleName > 3 or VehicleInspector.seeTxt.vehicleName < 0 then VehicleInspector.seeTxt.vehicleName = 2;end;
		groupNameTag = ("vehicleInspectorSettings.viewText.fillName(%d)"):format(0);
		if getXMLInt(Xml, groupNameTag.. "#int") then VehicleInspector.seeTxt.fillName = getXMLInt(Xml, groupNameTag.. "#int");end;
		if VehicleInspector.seeTxt.fillName > 2 or VehicleInspector.seeTxt.fillName < 0 then VehicleInspector.seeTxt.fillName = 1;end;		
		groupNameTag = ("vehicleInspectorSettings.viewText.horse(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.horse = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("vehicleInspectorSettings.viewText.fillObject(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.seeTxt.fillObject = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		--seeTxt--
		--txt--
		viSetGetSettingsXml:loadTxtConfig(Xml);
		--txt--
		--showColor--
		viSetGetSettingsXml:loadShowColorConfig(Xml);
		--showColor--
	end;
	viSetGetSettingsXml:cloneColor();
end;

function viSetGetSettingsXml:saveConfig()
	createFolder(getUserProfileAppPath().. "modSettings/");
	createFolder(VehicleInspector.settingsDir);
	local file = VehicleInspector.settingsDir.. "vehicleInspectorSettings.xml";
	local Xml = createXMLFile("VehicleInspector_XML", file, "vehicleInspectorSettings");
	local groupNameTag = ("vehicleInspectorSettings.global(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#isOn", VehicleInspector.global.isOn);
	setXMLBool(Xml, groupNameTag.. "#hlDebugMode", VehicleInspector.hlDebugMode);
	local searchInvertTemp = ""
	for a=1, #VehicleInspector.global.searchInvert do
		if a == 1 then searchInvertTemp = tostring(VehicleInspector.global.searchInvert[a]); else searchInvertTemp = searchInvertTemp.. ",".. tostring(VehicleInspector.global.searchInvert[a]);end;
	end;	
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.searchInvertColorByVehicleTypeName(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#stringWithCommaSeparator", tostring(searchInvertTemp));
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.attachedLimit(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#int", VehicleInspector.global.attachedLimit);	
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.autoMouseOffJoinVehicle(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.global.autoMouseOffJoinVehicle);	
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.viewBackground(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.global.seeBackground);
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.backgroundTransparents(%d)"):format(0);
	setXMLFloat(Xml, groupNameTag.. "#float", VehicleInspector.global.backgroundT);	
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.viewPlayerOnTop(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.global.seePlayerOnTop);
	groupNameTag = ("vehicleInspectorSettings.global.otherValues.viewHelperOnTop(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.global.seeHelperOnTop);
	--showDraw--
	--groupNameTag = ("vehicleInspectorSettings.global.showVI.onlyOverMultiOverlayHud(%d)"):format(0);
	--setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.global.onlyMoh);
	groupNameTag = ("vehicleInspectorSettings.global.showVI.helpMenuOn_F1(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.showDraw.helpMenuOn);
	groupNameTag = ("vehicleInspectorSettings.global.showVI.helpMenuOff_F1(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.showDraw.helpMenuOff);
	groupNameTag = ("vehicleInspectorSettings.global.showVI.inGameMapOn(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.showDraw.inGameMapOn);
	groupNameTag = ("vehicleInspectorSettings.global.showVI.inGameMapOff(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.showDraw.inGameMapOff);
	--showDraw--
	--seeWarning--
	groupNameTag = ("vehicleInspectorSettings.viewWarning.isBlocking(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeWarning.isBlocking);
	groupNameTag = ("vehicleInspectorSettings.viewWarning.isWater(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeWarning.isWater);
	groupNameTag = ("vehicleInspectorSettings.viewWarning.isDamage(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeWarning.isDamage);
	groupNameTag = ("vehicleInspectorSettings.viewWarning.isFuelEmpty(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeWarning.isFuelEmpty);
	--seeWarning--
	--seeVehicle--
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.onlyControlled(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.onlyControlled);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.notFillLevel(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.notFillLevel);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.notAttached(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.notAttached);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isTrain(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isTrain);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isHelper(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isHelper);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isPlayer(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isPlayer);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isHorsePlayer(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isHorsePlayer);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isLeasing(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isLeasing);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isParking(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isParking);
	groupNameTag = ("vehicleInspectorSettings.viewVehicle.isOwnFarmVehicle(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeVehicle.isOwnFarmVehicle);
	--seeVehicle--
	--seeTxt--
	groupNameTag = ("vehicleInspectorSettings.viewText.playerName(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.playerName);
	groupNameTag = ("vehicleInspectorSettings.viewText.helperName(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.helperName);
	groupNameTag = ("vehicleInspectorSettings.viewText.speed(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.speed);
	groupNameTag = ("vehicleInspectorSettings.viewText.field(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.field);
	groupNameTag = ("vehicleInspectorSettings.viewText.fieldNumber(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.fieldNumber);
	groupNameTag = ("vehicleInspectorSettings.viewText.fieldNumberMP(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.global.seeFieldNumberMP);
	groupNameTag = ("vehicleInspectorSettings.viewText.fillProzent(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.fillProzent);
	groupNameTag = ("vehicleInspectorSettings.viewText.fillLevel(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.fillLevel);
	groupNameTag = ("vehicleInspectorSettings.viewText.jobType(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.jobType);
	groupNameTag = ("vehicleInspectorSettings.viewText.leasing(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.leasing);
	groupNameTag = ("vehicleInspectorSettings.viewText.parking(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.parking);
	groupNameTag = ("vehicleInspectorSettings.viewText.totalAttached(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.totalAttached);	
	groupNameTag = ("vehicleInspectorSettings.viewText.vehicleName(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#int", VehicleInspector.seeTxt.vehicleName);
	groupNameTag = ("vehicleInspectorSettings.viewText.fillName(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#int", VehicleInspector.seeTxt.fillName);	
	groupNameTag = ("vehicleInspectorSettings.viewText.horse(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.horse);	
	groupNameTag = ("vehicleInspectorSettings.viewText.fillObject(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.seeTxt.fillObject);
	--seeTxt--
	--txt--
	groupNameTag = ("vehicleInspectorSettings.text(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#info", "spaces count with (Leerzeichen zählen mit)");
	groupNameTag = ("vehicleInspectorSettings.text.size(%d)"):format(0);
	setXMLFloat(Xml, groupNameTag.. "#float", VehicleInspector.global.txtSize);
	groupNameTag = ("vehicleInspectorSettings.text.bold(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.txt.bold);
	groupNameTag = ("vehicleInspectorSettings.text.color(%d)"):format(0);
	setXMLBool(Xml, groupNameTag.. "#boolean", VehicleInspector.txt.color);
	groupNameTag = ("vehicleInspectorSettings.text.widthDistance(%d)"):format(0);
	setXMLFloat(Xml, groupNameTag.. "#float", VehicleInspector.global.txtWidthDistance);
	groupNameTag = ("vehicleInspectorSettings.text.lineDistance(%d)"):format(0);
	setXMLFloat(Xml, groupNameTag.. "#float", VehicleInspector.global.txtLineDistance);
	groupNameTag = ("vehicleInspectorSettings.text.vehicleNameLength(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#int", VehicleInspector.global.vehicleNameLength);
	groupNameTag = ("vehicleInspectorSettings.text.fillNameLength(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#int", VehicleInspector.global.fillNameLength);
	groupNameTag = ("vehicleInspectorSettings.text.separator(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.separator);
	groupNameTag = ("vehicleInspectorSettings.text.ownSeparator(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.ownSeparator);	
	groupNameTag = ("vehicleInspectorSettings.text.fieldNumberSeparator(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.fieldNumberSeparator);	
	groupNameTag = ("vehicleInspectorSettings.text.speed(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.speed);
	groupNameTag = ("vehicleInspectorSettings.text.fillNameToFillLevel(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.fillNameToFillLevel);	
	groupNameTag = ("vehicleInspectorSettings.text.isField(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isField);
	groupNameTag = ("vehicleInspectorSettings.text.isParking(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isParking);
	groupNameTag = ("vehicleInspectorSettings.text.isHelper(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isHelper);
	groupNameTag = ("vehicleInspectorSettings.text.isPlayer(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isPlayer);
	groupNameTag = ("vehicleInspectorSettings.text.isSeedsEmpty(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isSaEmpty);
	groupNameTag = ("vehicleInspectorSettings.text.isObject(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isObject);
	groupNameTag = ("vehicleInspectorSettings.text.isSeedsOr(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isSa);
	groupNameTag = ("vehicleInspectorSettings.text.isSeedsOrFill(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isSaOrFill);
	groupNameTag = ("vehicleInspectorSettings.text.isWater(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isWater);
	groupNameTag = ("vehicleInspectorSettings.text.isDamage(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isDamage);
	groupNameTag = ("vehicleInspectorSettings.text.isBlocking(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isBlocking);
	groupNameTag = ("vehicleInspectorSettings.text.isFuelEmpty(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isFuelEmpty);
	groupNameTag = ("vehicleInspectorSettings.text.isFillLevelFull(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isFillLevelFull);
	groupNameTag = ("vehicleInspectorSettings.text.isLeasing(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.txt.isLeasing);	
	--txt--
	--showColor--
	groupNameTag = ("vehicleInspectorSettings.color.background(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.background);
	groupNameTag = ("vehicleInspectorSettings.color.txt(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.txt);
	groupNameTag = ("vehicleInspectorSettings.color.playerControlled(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.playerControlled);
	groupNameTag = ("vehicleInspectorSettings.color.otherPlayerControlled(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.otherPlayerControlled);
	groupNameTag = ("vehicleInspectorSettings.color.isField(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.field);
	groupNameTag = ("vehicleInspectorSettings.color.isWater(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.water);
	groupNameTag = ("vehicleInspectorSettings.color.isDamage(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.damage);
	groupNameTag = ("vehicleInspectorSettings.color.isBlocking(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.blocking);
	groupNameTag = ("vehicleInspectorSettings.color.isLeasing(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.leasing);
	groupNameTag = ("vehicleInspectorSettings.color.isParking(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.parking);
	groupNameTag = ("vehicleInspectorSettings.color.isFull(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.full);
	groupNameTag = ("vehicleInspectorSettings.color.isEmpty(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.empty);
	groupNameTag = ("vehicleInspectorSettings.color.isSelected(%d)"):format(0);
	setXMLString(Xml, groupNameTag.. "#string", VehicleInspector.showColor.selected);
	--showColor--
	saveXMLFile(Xml);
end;

function viSetGetSettingsXml:loadSearchInvertConfig(Xml)
	local searchInvertTemp = "";		
	local groupNameTag = ("vehicleInspectorSettings.global.otherValues.searchInvertColorByVehicleTypeName(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#stringWithCommaSeparator") ~= nil then searchInvertTemp = getXMLString(Xml, groupNameTag.. "#stringWithCommaSeparator");end;
	local stringSplit = g_currentMission.hl.stringSplit(searchInvertTemp, ",", true);
	if stringSplit ~= nil and #stringSplit > 0 then			
		for key,value in pairs(stringSplit) do				
			if string.len(stringSplit[key]) > 1 then
				local nameExists = viSetGet:isInvertFill(tostring(string.lower(stringSplit[key])))
				if not nameExists then table.insert(VehicleInspector.global.searchInvert, tostring(string.lower(stringSplit[key])));end;
			end;
		end;			
	end;
end;

function viSetGetSettingsXml:loadTxtConfig(Xml)
	local groupNameTag = ("vehicleInspectorSettings.text.size(%d)"):format(0);
	if getXMLFloat(Xml, groupNameTag.. "#float") then VehicleInspector.global.txtSize = getXMLFloat(Xml, groupNameTag.. "#float");end;
	groupNameTag = ("vehicleInspectorSettings.text.bold(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.txt.bold = getXMLBool(Xml, groupNameTag.. "#boolean");end;
	groupNameTag = ("vehicleInspectorSettings.text.color(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then VehicleInspector.txt.color = getXMLBool(Xml, groupNameTag.. "#boolean");end;
	groupNameTag = ("vehicleInspectorSettings.text.widthDistance(%d)"):format(0);
	if getXMLFloat(Xml, groupNameTag.. "#float") then VehicleInspector.global.txtWidthDistance = getXMLFloat(Xml, groupNameTag.. "#float");end;
	groupNameTag = ("vehicleInspectorSettings.text.lineDistance(%d)"):format(0);
	if getXMLFloat(Xml, groupNameTag.. "#float") then VehicleInspector.global.txtLineDistance = getXMLFloat(Xml, groupNameTag.. "#float");end;
	groupNameTag = ("vehicleInspectorSettings.text.vehicleNameLength(%d)"):format(0);
	if getXMLInt(Xml, groupNameTag.. "#int") then VehicleInspector.global.vehicleNameLength = getXMLInt(Xml, groupNameTag.. "#int");end;
	groupNameTag = ("vehicleInspectorSettings.text.fillNameLength(%d)"):format(0);
	if getXMLInt(Xml, groupNameTag.. "#int") then VehicleInspector.global.fillNameLength = getXMLInt(Xml, groupNameTag.. "#int");end;		
	groupNameTag = ("vehicleInspectorSettings.text.separator(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.separator = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.ownSeparator(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.ownSeparator = getXMLString(Xml, groupNameTag.. "#string");end;		
	groupNameTag = ("vehicleInspectorSettings.text.fieldNumberSeparator(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.fieldNumberSeparator = getXMLString(Xml, groupNameTag.. "#string");end;		
	groupNameTag = ("vehicleInspectorSettings.text.fillNameToFillLevel(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.fillNameToFillLevel = getXMLString(Xml, groupNameTag.. "#string");end;	
	groupNameTag = ("vehicleInspectorSettings.text.speed(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.speed = getXMLString(Xml, groupNameTag.. "#string");end;	
	groupNameTag = ("vehicleInspectorSettings.text.isField(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isField = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isParking(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isParking = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isPlayer(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isPlayer = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isHelper(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isHelper = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isSeedsEmpty(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isSaEmpty = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isObject(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isObject = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isSeedsOr(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isSa = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isSeedsOrFill(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isSaOrFill = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isWater(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isWater = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isDamage(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isDamage = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isBlocking(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isBlocking = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isFuelEmpty(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isFuelEmpty = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isFillLevelFull(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isFillLevelFull = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.text.isLeasing(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.txt.isLeasing = getXMLString(Xml, groupNameTag.. "#string");end;
end;

function viSetGetSettingsXml:loadShowColorConfig(Xml)	
	local groupNameTag = ("vehicleInspectorSettings.color.background(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.background = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.txt(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.txt = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.playerControlled(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.playerControlled = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.otherPlayerControlled(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.otherPlayerControlled = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isField(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.field = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isWater(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.water = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isDamage(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.damage = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isBlocking(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.blocking = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isLeasing(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.leasing = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isParking(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.parking = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isFull(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.full = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isEmpty(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.empty = getXMLString(Xml, groupNameTag.. "#string");end;
	groupNameTag = ("vehicleInspectorSettings.color.isSelected(%d)"):format(0);
	if getXMLString(Xml, groupNameTag.. "#string") ~= nil then VehicleInspector.showColor.selected = getXMLString(Xml, groupNameTag.. "#string");end;
end;

function viSetGetSettingsXml:onCloseCallbackGuiMenue()
	
end;

function viSetGetSettingsXml:onOpenCallbackGuiMenue()

end;

function viSetGetSettingsXml:onSaveCallbackGuiMenue()
	viSetGetSettingsXml:saveConfig();
end;

function viSetGetSettingsXml:cloneColor()
	VehicleInspector.showColorDefault = g_currentMission.hl.getTableCopy(VehicleInspector.showColor);
end;