viOutput = {};

function viOutput:loadVehicle()
	VehicleInspector.output = {}; --new	
	local output = {};
	local outputNotOwnVehicle = {};
	local playerFarmId = g_currentMission.player.farmId;
	if g_currentMission ~= nil and g_currentMission.vehicles ~= nil then
		local txtColorDefault = g_currentMission.hl.getColor(VehicleInspector.showColor.txt, true);		
		local color = nil;		
		local farmTables = viSetGet:getFarmIdTables({}, playerFarmId);
		for v=1, #g_currentMission.vehicles do
			local vehicle = g_currentMission.vehicles[v];			
			if vehicle ~= nil and vehicle.getIsControlled ~= nil and Utils.getNoNil(vehicle.viCategoryName, "free") ~= "nosupport" then
				local fillNameToFillLevelSeparator = VehicleInspector.txt.fillNameToFillLevel;
				local helperTxt = VehicleInspector.txt.isHelper;
				local trainTxt = VehicleInspector.txt.isTrain;			
				local playerTxt = VehicleInspector.txt.isPlayer;				
				local saEmptyTxt = VehicleInspector.txt.isSaEmpty;
				local saOrFillTxt = VehicleInspector.txt.isSaOrFill;
				local saTxt = VehicleInspector.txt.isSa;
				local waterTxt = VehicleInspector.txt.isWater;
				local damageTxt = VehicleInspector.txt.isDamage;
				local objectTxt = VehicleInspector.txt.isObject;
				local blockingTxt = VehicleInspector.txt.isBlocking;
				local fuelEmptyTxt = VehicleInspector.txt.isFuelEmpty;
				local fullTxt = VehicleInspector.txt.isFillLevelFull;
				local leasingTxt = VehicleInspector.txt.isLeasing;				
				local fieldTxt = VehicleInspector.txt.isField;
				local speedTxt = VehicleInspector.txt.speed;
				local parkingTxt = VehicleInspector.txt.isParking;
				local horseTxt = VehicleInspector.txt.isHorse;				
								
				local isHelper = vehicle.getCurrentHelper ~= nil and vehicle.getCurrentHelper(vehicle);
				local isPlayer = vehicle.getIsControlled(vehicle);
				local isOwnFarmVehicle = playerFarmId == vehicle.ownerFarmId;
				local isTrain = vehicle.trainSystem ~= nil;
				local isHorse = vehicle.spec_rideable ~= nil;
				local isLeasing = vehicle.propertyState == 2;
				local canJob = vehicle.getJob ~= nil;
				local isJob = false;
				local canParking = vehicle.spec_parkvehicle ~= nil;
				local setSeparator = false;
				local playerName = "";
				local otherPlayer = false;
				
				---new 1.77--
				local stopThisOutput = false;	
				if VehicleInspector.seeVehicle.onlyControlled and not isPlayer and not isHelper then stopThisOutput = true;end;
				---new 1.77--
				if not stopThisOutput then --better for performenc;
					local attach, attachedSprayerAnd = viSetGet:getAttachedAndSprayerAnd(vehicle, 0);
					output[#output+1] = {txt={}, rootNode=Utils.getNoNil(vehicle.rootNode, 0), viCategoryName=tostring(vehicle.viCategoryName)};
					local lineTxt = output[#output].txt;
				
					if VehicleInspector.seeTxt.horse and isHorse and isPlayer then
						if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
						lineTxt[#lineTxt+1] = {};
						lineTxt[#lineTxt].txt = tostring(horseTxt);
						lineTxt[#lineTxt].txtColor = txtColorDefault;
						lineTxt[#lineTxt].txtBold = true;					
						lineTxt[#lineTxt].typ = "horse";
						setSeparator = true;
					end;				
				
					if canJob then					
						local job = vehicle:getJob();
						if job ~= nil then						
							isJob = true;
							if VehicleInspector.seeTxt.jobType then
								if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;						
								local jobType = g_currentMission.aiJobTypeManager:getJobTypeByIndex(job.jobTypeIndex);						
								lineTxt[#lineTxt+1] = {};
								lineTxt[#lineTxt].txt = tostring(jobType.title);
								lineTxt[#lineTxt].txtColor = txtColorDefault;
								lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;					
								lineTxt[#lineTxt].typ = "jobName";
								setSeparator = true;
							end;
						end;
					end;
				
					if VehicleInspector.seeTxt.field then					
						local isField, fieldNr = viSetGet:getIsOnField(vehicle);
						local typ = "field";
						if isField then
							if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
							if fieldNr == 0 or not VehicleInspector.seeTxt.fieldNumber then fieldNr = "";else typ = "fieldAndNr";fieldNr= tostring(VehicleInspector.txt.fieldNumberSeparator).. tostring(fieldNr);end;						
							lineTxt[#lineTxt+1] = {};
							lineTxt[#lineTxt].txt = tostring(fieldTxt).. tostring(fieldNr);						
							lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.field, true);
							lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;						
							lineTxt[#lineTxt].typ = typ;
							setSeparator = true;					
						end;
					end;
					
					if VehicleInspector.seeTxt.speed then
						if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
						lineTxt[#lineTxt+1] = {};
						lineTxt[#lineTxt].txt = viSetGet:getSpeed(vehicle).. " ".. tostring(speedTxt);
						lineTxt[#lineTxt].txtColor = txtColorDefault;
						lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;					
						lineTxt[#lineTxt].typ = "speed";
						setSeparator = true;
					end;
				
					if isPlayer or isHelper then					
						local typ = "";
						if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
						local name = "";
						if VehicleInspector.seeTxt.helperName and isHelper then 
							local currentHelper = vehicle.getCurrentHelper(vehicle);
							local helperName = "";
							if currentHelper ~= nil then helperName = Utils.getNoNil(currentHelper.name, "");end;
							if string.len(helperName) > 0 then helperName = "(".. tostring(helperName).. ")";end;						
							name = tostring(helperTxt).. helperName;						
							color = txtColorDefault;
							typ = "helperName";
						elseif isHelper then
							name = tostring(helperTxt);
							color = txtColorDefault;
							typ = "helper";
						end;
						playerName, otherPlayer = viSetGet:getPlayerName(vehicle);					
						if VehicleInspector.seeTxt.playerName and isPlayer then 					
							if string.len(name) > 0 then 
								name = name.. "+".. tostring(playerName);
								typ = typ.. "playerName";
							else
								name = tostring(playerName);
								typ = "playerName";
							end;
							if otherPlayer then
								color = g_currentMission.hl.getColor(VehicleInspector.showColor.otherPlayerControlled, true);
							else
								color = g_currentMission.hl.getColor(VehicleInspector.showColor.playerControlled, true);
							end;
						elseif isPlayer then 
							if string.len(name) > 0 then 
								name = name.. "+".. tostring(playerTxt);
								typ = "playerName";
							else
								name = tostring(playerTxt);
								typ = "player";
							end;						
							if otherPlayer then
								color = g_currentMission.hl.getColor(VehicleInspector.showColor.otherPlayerControlled, true);
							else
								color = g_currentMission.hl.getColor(VehicleInspector.showColor.playerControlled, true);
							end;
						end;
						lineTxt[#lineTxt+1] = {};
						lineTxt[#lineTxt].txt = tostring(name);
						lineTxt[#lineTxt].txtColor = color;
						lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;						
						lineTxt[#lineTxt].typ = typ;
						setSeparator = true;
					end;				
				
					if VehicleInspector.seeTxt.vehicleName > 0 then
						if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
						local typ = "vehicleName";
						viSetGet:setVehicleName(vehicle, false);					
						local vehicleName = tostring(vehicle.viVehicleName);
						if VehicleInspector.seeTxt.vehicleName == 2 then typ = "vehicleRealName";vehicleName = tostring(vehicle.getName(vehicle));end;
						if VehicleInspector.seeTxt.vehicleName == 3 then typ = "vehicleTyp";vehicleName = tostring(vehicle.typeDesc);end;
						local vehicleNameSub = ".."
						if string.len(vehicleName) <= VehicleInspector.global.vehicleNameLength then vehicleNameSub = "";end;
						vehicleName = string.sub(vehicleName, 0, VehicleInspector.global.vehicleNameLength);					
						lineTxt[#lineTxt+1] = {};
						lineTxt[#lineTxt].txt = tostring(vehicleName).. vehicleNameSub;
						lineTxt[#lineTxt].txtColor = txtColorDefault;
						lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;					
						lineTxt[#lineTxt].typ = typ;
						setSeparator = true;
					end;				
				
					function setGetFillLevel()
						local fillLevelTable = {};
						local foundFillLevelFull = false;
						local foundFillLevel = false;
						local foundFillLevelEmpty = false; --seeds etc.
						if vehicle.getFillLevelInformation ~= nil then
							fillLevelTable = viSetGet:getFillLevelInformation(vehicle, fillLevelTable, false, 0);
							for _,fillLevelVehicle in pairs(fillLevelTable) do
								local invertProzent = fillLevelVehicle.isSeedsOrAnd or (attachedSprayerAnd > 0 and attach == 1) or (attachedSprayerAnd == attach);
								if fillLevelVehicle.fillLevel > 0 or invertProzent then
									if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
									foundFillLevel = fillLevelVehicle.fillLevel > 0;								
									local isCapacity = fillLevelVehicle.capacity > 0;								
									local prozent = 0;
									if isCapacity then prozent = g_currentMission.hl.getProzentFillLevel(fillLevelVehicle.fillLevel, fillLevelVehicle.capacity, false);end;
									
									if VehicleInspector.txt.color then
										color = g_currentMission.hl.getProzentColor(prozent, invertProzent);
									else
										color = 1;
									end;
									
									if (prozent >= 99 and not invertProzent) then foundFillLevelFull = true;end;
									if (prozent <= 1 and invertProzent) then foundFillLevelEmpty = true;end;
									
									local firstTable = 0;
									if VehicleInspector.seeTxt.fillName > 0 then																			
										local fillTypeName = FillTypeManager.getFillTypeNameByIndex(g_fillTypeManager, fillLevelVehicle.fillType);
										if VehicleInspector.seeTxt.fillName == 1 then fillTypeName = g_fillTypeManager.nameToFillType[fillTypeName].title;end;									
										local fillNameSub = ".."
										if string.len(fillTypeName) <= VehicleInspector.global.fillNameLength then fillNameSub = "";end;
										fillTypeName = string.sub(fillTypeName, 0, VehicleInspector.global.fillNameLength);
										lineTxt[#lineTxt+1] = {};									
										lineTxt[#lineTxt].txt = tostring(fillTypeName).. fillNameSub.. fillNameToFillLevelSeparator;
										lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;										
										lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColorProzent(color, true);
										lineTxt[#lineTxt].typ = "fillName";
										firstTable = firstTable+1;
										setSeparator = true;
									end;								
									if VehicleInspector.seeTxt.fillLevel then
										if firstTable > 0 then
											lineTxt[#lineTxt].txt = lineTxt[#lineTxt].txt.. " ".. tostring(string.format("%1.0f", Utils.getNoNil(fillLevelVehicle.fillLevel, 0)));
											lineTxt[#lineTxt].typ = lineTxt[#lineTxt].typ.. "-fillLevel";
										else
											lineTxt[#lineTxt+1] = {};
											lineTxt[#lineTxt].txt = tostring(string.format("%1.0f", Utils.getNoNil(fillLevelVehicle.fillLevel, 0)));
											lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;										
											lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColorProzent(color, true);
											lineTxt[#lineTxt].typ = "fillLevel";
											setSeparator = true;
											firstTable = firstTable+1;
										end;
									end;
									if VehicleInspector.seeTxt.fillProzent then
										local tempTxt = "0";
										if isCapacity then tempTxt = g_currentMission.hl.getProzentFillLevel(fillLevelVehicle.fillLevel, fillLevelVehicle.capacity, true);end;
										if firstTable > 0 then
											if VehicleInspector.seeTxt.fillLevel then tempTxt = " (".. tempTxt.. "%)";else tempTxt = " ".. tempTxt.. "%";end;
											lineTxt[#lineTxt].txt = lineTxt[#lineTxt].txt.. tostring(tempTxt);											
											lineTxt[#lineTxt].typ = lineTxt[#lineTxt].typ.. "-fillProzent";
										else
											lineTxt[#lineTxt+1] = {};		
											lineTxt[#lineTxt].txt = tostring(tempTxt).. "%";
											lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;
											lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColorProzent(color, true);
											lineTxt[#lineTxt].typ = "fillProzent";
											setSeparator = true;
											firstTable = firstTable+1;
										end;
									end;									
									if invertProzent and firstTable > 0 then
										lineTxt[#lineTxt].txt = tostring(saTxt).. lineTxt[#lineTxt].txt;																
									end;									
									if VehicleInspector.seeTxt.fillObject and fillLevelVehicle.numObject ~= nil then									
										if firstTable > 0 then									 
											lineTxt[#lineTxt].txt = lineTxt[#lineTxt].txt.. tostring(objectTxt).. tostring(fillLevelVehicle.numObject);
											lineTxt[#lineTxt].typ = lineTxt[#lineTxt].typ.. "-numObject";
										else
											lineTxt[#lineTxt+1] = {};		
											lineTxt[#lineTxt].txt = tostring(objectTxt).. tostring(fillLevelVehicle.numObject);
											lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;
											lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColorProzent(color, true);
											lineTxt[#lineTxt].typ = "numObject";
											setSeparator = true;
											firstTable = firstTable+1;
										end;
									end;
																	
								end;	
							end;
						end;
						return foundFillLevel, foundFillLevelFull, foundFillLevelEmpty;
					end;
				
					if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
					setSeparator = false;
					
					local foundFillLevel, foundFillLevelFull, foundFillLevelEmpty = setGetFillLevel();				
					if foundFillLevelFull and isJob then
						table.insert(lineTxt, 1, {})
						lineTxt[1].txt = tostring(fullTxt);
						lineTxt[1].txtBold = true;
						lineTxt[1].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.full, true);
						lineTxt[1].typ = "jobFillLevelFull";
					elseif foundFillLevelEmpty and isJob then
						table.insert(lineTxt, 1, {})
						lineTxt[1].txt = tostring(saEmptyTxt);
						lineTxt[1].txtBold = true;
						lineTxt[1].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.empty, true);
						lineTxt[1].typ = "jobFillLevelEmpty";
					end;
					
					if VehicleInspector.seeTxt.parking and canParking then
						local spec = vehicle.spec_parkvehicle;
						if spec.state[spec.uniqueUserId] then					
							if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
							lineTxt[#lineTxt+1] = {};
							lineTxt[#lineTxt].txt = tostring(parkingTxt);
							lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.parking, true);
							lineTxt[#lineTxt].txtBold = true;						
							lineTxt[#lineTxt].typ = "parking";
							setSeparator = true;					
						end;
					end;
				
					if VehicleInspector.seeTxt.leasing and isLeasing then	
						if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;	
						lineTxt[#lineTxt+1] = {};
						lineTxt[#lineTxt].txt = tostring(leasingTxt);
						lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.leasing, true);
						lineTxt[#lineTxt].txtBold = true;					
						lineTxt[#lineTxt].typ = "leasing";
						setSeparator = true;
					end;
					
					if VehicleInspector.seeTxt.totalAttached and attach > 0 then
						if setSeparator then lineTxt[#lineTxt+1] = {};lineTxt[#lineTxt].separator = true;end;
						lineTxt[#lineTxt+1] = {};
						lineTxt[#lineTxt].txt = tostring(attach);
						lineTxt[#lineTxt].txtColor = txtColorDefault;
						lineTxt[#lineTxt].txtBold = VehicleInspector.txt.bold;						
						lineTxt[#lineTxt].typ = "totalAttached";
						setSeparator = true;
					end;
				
					local isBlocking = viSetGet:getCollision(vehicle);
					local isFuelEmpty = viSetGet:getFuel(vehicle);
					local isDamage = viSetGet:getDamage(vehicle);
					local isWater = viSetGet:getWater(vehicle);
					local isWarning = false;
					if isBlocking and isJob and VehicleInspector.seeWarning.isBlocking and not foundFillLevelFull then
						table.insert(lineTxt, 1, {})
						lineTxt[1].txt = tostring(blockingTxt);
						lineTxt[1].txtBold = true;
						lineTxt[1].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.blocking, true);
						lineTxt[1].typ = "warningBlocking";
						isWarning = true;
					elseif isDamage and VehicleInspector.seeWarning.isDamage then
						table.insert(lineTxt, 1, {})
						lineTxt[1].txt = tostring(damageTxt);
						lineTxt[1].txtBold = true;
						lineTxt[1].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.damage, true);
						lineTxt[1].typ = "warningDamage";
						isWarning = true;
					elseif isWater and VehicleInspector.seeWarning.isWater then
						table.insert(lineTxt, 1, {})
						lineTxt[1].txt = tostring(waterTxt);
						lineTxt[1].txtBold = true;
						lineTxt[1].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.water, true);
						lineTxt[1].typ = "warningWater";
						isWarning = true;
					elseif isFuelEmpty and VehicleInspector.seeWarning.isFuelEmpty then
						table.insert(lineTxt, 1, {})
						lineTxt[1].txt = tostring(fuelEmptyTxt);
						lineTxt[1].txtBold = true;
						lineTxt[1].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.empty, true);
						lineTxt[1].typ = "warningFullEmpty";
						isWarning = true;
					end;
				
					local delLastOutput = false;
					local isPlayerContractor = false;
					if isHorse then
						if not isPlayer or not VehicleInspector.seeVehicle.isHorsePlayer then table.remove(output, #output);delLastOutput=true;end;
					elseif isTrain then
						if not isPlayer or not VehicleInspector.seeVehicle.isTrain then table.remove(output, #output);delLastOutput=true;end;
					end;
					if not delLastOutput and not isWarning and attach == 0 and not foundFillLevel then
						if not isPlayer and not isHelper and not VehicleInspector.seeVehicle.notAttached then table.remove(output, #output);delLastOutput=true;end;
					end;
					if not delLastOutput and not isWarning and not foundFillLevel then
						if not isPlayer and not isHelper and not VehicleInspector.seeVehicle.notFillLevel then table.remove(output, #output);delLastOutput=true;end;
					end;				
					if not delLastOutput then
						isPlayerContractor = viSetGet:getFarmContractor(playerFarmId, vehicle.ownerFarmId);
						local del1 = not isOwnFarmVehicle and VehicleInspector.seeVehicle.isOwnFarmVehicle;
						local del2 = not isOwnFarmVehicle and not VehicleInspector.seeVehicle.isOwnFarmVehicle and not isPlayerContractor;
						if del1 or del2 then table.remove(output, #output);delLastOutput=true;end;
					end;
					if not delLastOutput and isPlayer and not isHelper then
						if not VehicleInspector.seeVehicle.isPlayer then table.remove(output, #output);delLastOutput=true;end;
					end;
					if not delLastOutput and isHelper and not isPlayer then
						if not VehicleInspector.seeVehicle.isHelper then table.remove(output, #output);delLastOutput=true;end;
					end;
					
					if not delLastOutput and not isHelper and not isPlayer then
						if VehicleInspector.seeVehicle.onlyControlled then table.remove(output, #output);delLastOutput=true;end;
					end;
				
					--notOwnVehicles--
					if not delLastOutput and isPlayerContractor and not isOwnFarmVehicle and not VehicleInspector.seeVehicle.isOwnFarmVehicle and not isTrain then
						if outputNotOwnVehicle[vehicle.ownerFarmId] == nil then outputNotOwnVehicle[vehicle.ownerFarmId] = {};end;
						if isPlayer and VehicleInspector.global.seePlayerOnTop then
							table.insert(outputNotOwnVehicle[vehicle.ownerFarmId], farmTables[vehicle.ownerFarmId].playerPos+1, output[#output]);
							farmTables[vehicle.ownerFarmId].playerPos = farmTables[vehicle.ownerFarmId].playerPos+1;						
							table.remove(output, #output);
						end;
						if not isPlayer and isHelper and VehicleInspector.global.seeHelperOnTop then
							table.insert(outputNotOwnVehicle[vehicle.ownerFarmId], farmTables[vehicle.ownerFarmId].playerPos+farmTables[vehicle.ownerFarmId].helperPos+1, output[#output]);
							farmTables[vehicle.ownerFarmId].helperPos = farmTables[vehicle.ownerFarmId].helperPos+1;						
							table.remove(output, #output);
						end;
						if not isPlayer and not isHelper then
							table.insert(outputNotOwnVehicle[vehicle.ownerFarmId], #outputNotOwnVehicle[vehicle.ownerFarmId], output[#output]);												
							table.remove(output, #output);
						end;
						delLastOutput = true;
					end;
					--notOwnVehicles--				
					
					--sort--
					if not delLastOutput then					
						if isPlayer and VehicleInspector.global.seePlayerOnTop then						
							table.insert(output, farmTables[playerFarmId].playerPos+1, output[#output]);
							farmTables[playerFarmId].playerPos = farmTables[playerFarmId].playerPos+1;						
							table.remove(output, #output);
						end;
						if not isPlayer and isHelper and VehicleInspector.global.seeHelperOnTop then
							table.insert(output, farmTables[playerFarmId].playerPos+farmTables[playerFarmId].helperPos+1, output[#output]);
							farmTables[playerFarmId].helperPos = farmTables[playerFarmId].helperPos+1;						
							table.remove(output, #output);
						end;
					end;
					--sort--
				end;
			end;
		end;
		
		--sort contracting--
		if not VehicleInspector.seeVehicle.isOwnFarmVehicle and #outputNotOwnVehicle > 0 then
			local addTables = {};		
			table.foreach(output, function(k, v) table.insert(addTables, v) end);			
			function setFarmSeparator(name)
				addTables[#addTables+1] = {txt={}};
				local lineTxt = addTables[#addTables].txt;
				lineTxt[#lineTxt+1] = {};
				lineTxt[#lineTxt].txt = tostring(VehicleInspector.txt.ownSeparator).. " ".. tostring(name);
				lineTxt[#lineTxt].txtColor = g_currentMission.hl.getColor(VehicleInspector.showColor.separator, true);
				lineTxt[#lineTxt].txtBold = true;
				lineTxt[#lineTxt].typ = "farmSeperator";
			end;
			for farmId, farm in pairs(outputNotOwnVehicle) do
				setFarmSeparator(farmTables[farmId].name);
				table.foreach(farm, function(k, v) table.insert(addTables, v) end);
			end;			
			output = addTables;
		end;
		--sort contracting--
	end;
	VehicleInspector.output = output;
end;